title1 1971 CENSUS OF CANADA- BST: EA-LONG FORM- A2HSGOO1
title2 SAS commands by S Kumar, UT/DLS 07/2001
// JOB
/*SERVICE ?
/*ROUTE PRINT RMT402
//  EXEC SAS
//SASLIB  DD DSN=
//IN  DD DSN=
//OUT  DD DSN=
//SYSIN  DD *
PROC FORMAT DDNAME=SASLIB;
VALUE  V1_F   10         = 'NEWFOUNDLAND'
             11         = 'PR EDWARD ISLAND'
             12         = 'NOVA SCOTIA'
             13         = 'NEW BRUNSWICK'
             24         = 'QUEBEC'
             35         = 'ONTARIO'
             46         = 'MANITOBA'
             47         = 'SASKATCHEWAN'
             48         = 'ALBERTA'
             59         = 'BRITISH COLUMBIA'
             60         = 'YUKON TERRITORY'
             61         = 'NW TERRITORIES'
       ;
VALUE  V7_F   1          = 'RURAL'
             2          = 'CTV'
             3          = 'URBAN'
             4          = 'URBAN'
             5          = 'URBAN'
             6          = 'URBAN'
             7          = 'URBAN'
             8          = 'URBAN'
             9          = 'URBAN'
       ;
VALUE  V10_F   1          = 'LARGEST CITY'
             2          = 'REMAINDER URBANI'
             3          = 'FRINGE- URBAN'
             4          = 'FRINGE- RURAL'
       ;
VALUE  $V11_F   'A' = '>_500000 (U)'
             'B' = '100000-499999 (U'
             'C' = '30000-99999 (U)'
             'D' = '10000-29999 (U)'
             'E' = '5000-9999 (U)'
             'F' = '2500-4999 (U)'
             'G' = '1000-2499 (U)'
             'H' = '< 1000 (U)'
             '1' = '>_500000 (R)'
             '2' = '100000-499999 (R'
             '3' = '30000-99999 (R)'
             '4' = '10000-29999 (R)'
             '5' = '5000-9999 (R)'
             '6' = '2500-4999 (R)'
             '7' = '1000-2499 (R)'
             '8' = '< 1000 (R)'
       ;
VALUE  $V12_F   'A' = '>_500000 (U)'
             'B' = '100000-499999(U)'
             'C' = '30000-99999 (U)'
             'D' = '10000-29999 (U)'
             'E' = '5000-9999 (U)'
             'F' = '2500-4999 (U)'
             'G' = '1000-2499 (U)'
             'H' = '< 1000 (U)'
             '1' = 'RURAL'
       ;
VALUE  V21_F   1          = 'URBAN'
             2          = 'RURAL'
       ;
VALUE  V23_F   0          = 'URBAN'
             1          = 'RURAL'
       ;
VALUE  V24_F   0          = 'URBAN'
             1          = 'RURAL'
       ;
VALUE  V25_F   0          = 'CMA-CA'
             1          = 'NON CMA-CA'
       ;
VALUE  V26_F   0          = 'URBAN CORE'
             1          = 'FRINGE AREA'
       ;
VALUE  V27_F   0          = 'LARGEST CITY'
             1          = 'REMAINDER'
       ;
DATA OUT.???;
INFILE IN.???;
INPUT  PROV   1-2
       ED   3-4
       EA   5-7
       COUNTY   8-9
       MUNIC   10-11
       SUBDIV   12-13
       RURAL   14-14
       CMA   15-17
       CT   18-20
       CMAPART   21-21
       MUNSIZE   $CHAR1.
       RURSIZE   $CHAR1.
       REFCODE   24-25
       ECONREG   26-27
       CMCA   28-29
       CTV   30-33
       CMA-CA   34-36
       CONTROL   37-37
       MUNSUBDV   38-38
       BLANK1   39-41
       ECONAREA   42-42
       MSUBSIZE   43-43
       RURCODE   44-44
       RURMUN   45-45
       CMACODE1   46-46
       CMACODE2   47-47
       LGECITY   48-48
       BLANK2   49-50
       V1   51-57
       V2   58-64
       V3   65-71
       V4   72-78
       V5   79-85
       V6   86-92
       V7   93-99
       V8   100-106
       V9   107-113
       V10   114-120
       V11   121-127
       V12   128-134
       V13   135-141
       V14   142-148
       V15   149-155
       V16   156-162
       V17   163-169
       V18   170-176
       V19   177-183
       V20   184-190
       V21   191-197
       V22   198-204
       V23   205-211
       V24   212-218
       V25   219-225
       V26   226-232
       V27   233-239
       V28   240-246
       V29   247-253
       V30   254-260
       V31   261-267
       V32   268-274
       V33   275-281
       V34   282-288
       V35   289-295
       V36   296-302
       V37   303-309
       V38   310-316
       V39   317-323
       V40   324-330
       V41   331-337
       V42   338-344
       V43   345-351
       V44   352-358
       V45   359-365
       V46   366-372
       V47   373-379
       V48   380-386
       V49   387-393
       V50   394-400
       V51   401-407
       V52   408-414
       V53   415-421
       V54   422-428
       V55   429-435
       V56   436-442
       V57   443-449
       V58   450-456
       V59   457-463
       V60   464-470
       V61   471-477
       V62   478-484
       V63   485-491
       V64   492-498
       V65   499-505
       V66   506-512
       V67   513-519
      ;
LABEL   PROV = 'Province'
        ED = 'Electoral district'
        EA = 'Enumeration area'
        COUNTY = 'County/ Census division'
        MUNIC = 'Municipality'
        SUBDIV = 'Subdivision'
        RURAL = 'Rural/ Urban municipality'
        CMA = 'Metropolitan area/ Census agglomeration'
        CT = 'Census tract'
        CMAPART = 'CMA/ CA part'
        MUNSIZE = 'Municipality size code- Urban'
        RURSIZE = 'Rural/ Urban size code'
        REFCODE = 'Reference code'
        ECONREG = 'Economic region of Statistics Canada'
        CMCA = 'Canada manpower centre area code'
        CTV = 'City, town, village- alphabetic seq numb'
        CMA-CA = 'CMA/ CA- alphabetic seq number'
        CONTROL = 'Casper control field'
        MUNSUBDV = 'Municicpal subdivision'
        BLANK1 = 'Blank- for future use'
        ECONAREA = 'Economic area'
        MSUBSIZE = 'Municipal subdivision size'
        RURCODE = 'Rural/urban code'
        RURMUN = 'Rural/urban municipality code'
        CMACODE1 = 'CMA/CA code'
        CMACODE2 = 'CMA/CA code'
        LGECITY = 'Largest city code'
        BLANK2 = 'Blank'
          V1 = 'Count of total dwellings'
          V2 = 'Dwl by pd of const- before 1946'
          V3 = 'Dwl by pd of const- 1946-1950'
          V4 = 'Dwl by pd of const- 1951-1960'
          V5 = 'Dwl by pd of const- 1961-1965'
          V6 = 'Dwl by pd of const- 1966-1970'
          V7 = 'Dwl by pd of const- 1971-June 1, 1971'
          V8 = 'Dwl by no. of bedrooms- 0 bedroom'
          V9 = 'Dwl by no. of bedrooms- 1 bedroom'
          V10 ='Dwl by no. of bedrooms-2 bedrooms'
          V11 = 'Dwl by no. of bedrooms- 3 bedrooms'
          V12 = 'Dwl by no. of bedrooms- 4 bedrooms'
          V13 = 'Dwl by no. of bedrooms- 5 bedrooms or more'
          V14 = 'Avg no. of bedrooms per dwelling'
          V15 = 'Source of water supply- Munic or pvt company'
          V16 = 'Source of water supply- Well on property'
          V17 = 'Source of water supply- Other (spring, river etc)'
          V18 = 'Method of sewage disposal- connection to pub sewer'
          V19 = 'Method of sewage disposal- Septic tank'
          V20 = 'Method of sewage disposal- Other (cesspool pit)'
          V21 = 'Type of heating equipment- furnace or electric sys'
          V22 = 'Type of heating equipment- heating stove, cook stove, space heater'
          V23 = 'Type of heating equipment- Other (fireplace etc.)'
          V24 = 'Type of heating fuel-oil or other liquid fuel'
          V25 = 'Type of heating fuel- Gas fam with no income recipients'
          V26 = 'Type of heating fuel- Electricity'
          V27 = 'Type of heating fuel- Other or none'
          V28 = 'Type of cooking fuel- oil or other liquid'
          V29 = 'Type of cooking fuel- Gas'
          V30 = 'Type of cooking fuel- Electricity'
          V31 = 'Type of cooking fuel- Other or none'
          V32 = 'Type of water heating fuel- oil or other liquid'
          V33 = 'Type of water heating fuel- Gas'
          V34 = 'Type of water heating fuel- Electricity'
          V35 = 'Type of water heating fuel- Other or none'
          V36 = 'Dwl by no. of automobiles- no automobile'
          V37 = 'Dwl by no. of automobiles- 1 automobile'
          V38 = 'Dwl by no. of automobiles- 2 automobiles'
          V39 = 'Dwl by no. of automobiles- 3 automobiles or more'
          V40 = 'Dwellings by no. of owned vac homes- without'
          V41 = 'Dwellings by no. of owned vac homes- With vacation home'
          V42 = 'Household facilities- refrigerator'
          V43 = 'Household facilities- home freezer'
          V44 = 'Household facilities- Electric dishwasher'
          V45 = 'Household facilities- Automatic clothes dryer'
          V46 = 'Household facilities- Television'
          V47 = 'Owner occupied single house non-farm dwelling'
          V48 = 'Median value of dwellings'
          V49 = 'Owner occ non-farm single house- no mortgage'
          V50 = 'Owner occ non-farm single house- First mortgage'
          V51 = 'Owner occ non-farm single house- More than one mortgage'
          V52 = 'By holder of first mortgage-Bank finance'
          V53 = 'By holder of first mortgage- Government'
          V54 = 'By holder of first mortgage- Private individual'
          V55 = 'By holder of first mortgage- Other (credit union etc.)'
          V56 = 'Parking facilities- without garage'
          V57 = 'Parking facilities- With garage'
          V58 = 'Tenant occ non-farm dwellings'
          V59 = 'Items included in rent- furniture or furnishings'
          V60 = 'Items included in rent- Air conditioning'
          V61 = 'Items included in rent- Refrigerator'
          V62 = 'Items included in rent- Cooking stove'
          V63 = 'Items included in rent- Off street parking'
          V64 = 'Tenant occupied non-farm dwl-avg cash rent'
          V65 = 'Tenant occupied non-farm dwl- Med cash rent'
          V66 = 'Tenant occupied non-farm dwl- Avg gross rent'
          V67 = 'Tenant occupied non-farm dwl- Med gross rent'
      ;
FORMAT  PROV        V1_F.
        RURAL       V7_F.
        CMAPART     V10_F.
        MUNSIZE     $V11_F.
        RURSIZE     $V12_F.
        ECONAREA    V21_F.
        RURCODE     V23_F.
        RURMUN      V24_F.
        CMACODE1    V25_F.
        CMACODE2    V26_F.
        LGECITY     V27_F.
;
